package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Wynne.Lu
 * @date 2021/3/25 上午9:56
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT_EVENT_ACTION")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("组件事件动作")
public class ScrComponentEventAction extends BaseBean {
    private static final long serialVersionUID = 7600064730551351570L;

    @Column(name="COMPONENT_ID")
    @ApiParam("组件Id")
    private Integer componentId;

    @Column(name="EVENT_ACTION_Id")
    @ApiParam("事件动作Id")
    private String eventActionId;
}
